[android-components](../../../index.md) / [mozilla.components.concept.menu](../../index.md) / [MenuButton](../index.md) / [Observer](./index.md)

# Observer

`interface Observer` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/menu/src/main/java/mozilla/components/concept/menu/MenuButton.kt#L36)

Observer for the menu button.

### Functions

| Name | Summary |
|---|---|
| [onDismiss](on-dismiss.md) | `open fun onDismiss(): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Listener called when the menu is dismissed. |
| [onShow](on-show.md) | `open fun onShow(): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Listener called when the menu is shown. |
